=== doc/Makefile ===
## $Id: Makefile,v 1.31 2006/07/27 10:05:13 thiel Exp $

## Makefile for subdirectory doc

all: .dep
	ls -sh

.dep: mlcf.pdf mpcref.pdf ref.pdf reflection_manual.pdf tutor.pdf cleanup
	touch .dep

mlcf.pdf: mlcf.tex bussproofs.sty minlog.bib
	pdflatex mlcf >> /dev/null
	bibtex -terse mlcf
	makeindex -q mlcf
	pdflatex mlcf >> /dev/null
	pdflatex mlcf >> /dev/null

mpcref.pdf: mpcref.tex
	pdflatex mpcref.tex >> /dev/null
	pdflatex mpcref.tex >> /dev/null

ref.pdf: ref.tex bussproofs.sty minlog.bib
	pdflatex ref >> /dev/null
	bibtex -terse ref
	makeindex -q ref
	pdflatex ref >> /dev/null
	pdflatex ref >> /dev/null

reflection_manual.pdf: reflection_manual.tex
	pdflatex reflection_manual.tex >> /dev/null
	pdflatex reflection_manual.tex >> /dev/null

tutor.pdf: tutor.tex
	pdflatex tutor >> /dev/null
	bibtex -terse tutor
	pdflatex tutor >> /dev/null


clean: 	cleanup
	rm -rf .dep .dep.*
	rm -rf *.dvi *.pdf *.ps
	rm -rf *~ *%
	ls -sh

cleanup:
	rm -rf *.aux *.log *.blg *.bbl *.idx *.toc *.ind *.ilg *.brf *.out
