=== src/Makefile ===
## $Id: Makefile,v 1.23 2007/09/18 14:34:39 schimans Exp $
## Makefile for subdirectory src

all: TAGS .dep.notags

srcs :sh = ls *.scm

.dep.notags: minitab.scm 

TAGS: $(srcs)
	etags `ls *.scm` ../modules/type-inf.scm ../doc/ref.tex ../doc/tutor.tex

clean:
	rm -rf .dep .dep.*
	rm -rf TAGS
	rm -rf *~ *%
	rm -rf grammar.log

minitab.scm: grammar.scm lalr.scm
	rm -f minitab.scm
	if which petite > /dev/null; then \
		echo "Using petite to build parser..."; \
		(petite grammar.scm > grammar.log); \
	else \
		if which mzscheme > /dev/null; then \
			echo "Using mzscheme to build parser..."; \
			(mzscheme -f grammar.scm > grammar.log); \
		else \
			echo "Please install either Petite Scheme or MzScheme to build the parser!"; \
			false; \
		fi; \
	fi
