=== examples/classical/Makefile ===
# $Id: Makefile,v 1.3 2006/05/10 14:00:23 schwicht Exp $
# Makefile for classical

# The targets to be tested. Use FILE.diff as target, if FILE.scm has to be
# tested. Use DIR/.TEST as target if a subdir has to be tested

.TEST: root.diff wftest.diff 
	touch .TEST


# The relative path to the toplevel Minlog-Dir
TOP= ../../

# clean has to be implemented at each level. Always have genericclean as a
# dependency

clean: genericclean

#
# Now include the standard rules for testing:
#
include ../Makefile.template


## How it works:
## entry point is always the target .TEST
## Then for every file we have to produce the file FILE.diff (which should be
## empty in an ideal world...)
