=== examples/dc/Makefile ===
# $Id: Makefile,v 1.1 2003/10/21 09:09:09 schwicht Exp $
# Makefile for quant

# The targets to be tested. Use FILE.diff as target, if FILE.tac has to be
# tested. Use DIR/.TEST as target if a subdir has to be tested

all: .TEST

.TEST: dc-first.diff
	touch .TEST


# The relative path to the toplevel Minlog-Dir
TOP= ../../

# clean has to be implemented at each level. Always have genericclean as a
# dependency

clean: genericclean

#
# Now include the standard rules for testing:
#
include ../Makefile.template


## How it works:
## entry point is always the target .TEST
## Then for every file we have to produce the file FILE.diff (which should be
## empty in an ideal world...)
