## minlog 4.0.99.20080304

=== examples/Makefile ===
--- 
+++ 
@@ -1,14 +1,16 @@
-# $Id: Makefile,v 1.17 2007/07/27 12:17:45 schwicht Exp $
+# $Id: Makefile,v 1.21 2008/01/25 13:30:16 logik Exp $
 # Makefile for the examples
 
-# The targets to be tested. Use FILE.diff as target, if FILE.scm has to be
-# tested. Use DIR/.TEST as target if a subdir has to be tested
+# The targets to be tested. Use .FILE.test-passed as target, if
+# FILE.scm has to be tested. Use DIR/.TEST as target if a subdir has
+# to be tested
 
 all: .TEST
 
-.TEST:  quant/.TEST prop/.TEST hounif/.TEST arith/.TEST \
+.TEST:  .test.test-passed \
+	quant/.TEST prop/.TEST hounif/.TEST arith/.TEST \
 	warshall/.TEST dijkstra/.TEST \
-	classical/.TEST dc/.TEST bar/.TEST # insertsort.diff 
+	classical/.TEST dc/.TEST bar/.TEST # .insertsort.test-passed
 	touch .TEST
 
 # The relative path to the toplevel Minlog-Dir
@@ -57,6 +59,7 @@
 	(cd dijkstra; $(MAKE) clean)
 	(cd bar; $(MAKE) clean)
 	(cd dc; $(MAKE) clean)
+	(cd arith; $(MAKE) clean)
 
 # Now include the standard rules for testing:
 include Makefile.template
@@ -64,5 +67,5 @@
 
 ## How it works:
 ## entry point is always the target .TEST
-## Then for every file we have to produce the file FILE.diff (which should be
-## empty in an ideal world...)
+## Then for every file we have to produce the file .FILE.test-passed
+
