=== src/Makefile ===
--- 
+++ 
@@ -1,7 +1,8 @@
-## $Id: Makefile,v 1.23 2007/09/18 14:34:39 schimans Exp $
+## $Id: Makefile,v 1.25 2008/01/25 13:30:09 logik Exp $
 ## Makefile for subdirectory src
 
 all: TAGS .dep.notags
+
 
 srcs :sh = ls *.scm
