=== examples/arith/Makefile ===
# $Id: Makefile,v 1.4 2008/01/25 13:30:27 logik Exp $
# Makefile for quant

# The targets to be tested. Use .FILE.test-passed as target, if
# FILE.scm has to be tested. Use DIR/.TEST as target if a subdir has
# to be tested

.TEST: quotrem/.TEST
	touch .TEST


quotrem/.TEST: .always
	(cd quotrem; $(MAKE) .TEST)

# The relative path to the toplevel Minlog-Dir
TOP= ../../

# clean has to be implemented at each level. Always have genericclean as a
# dependency


.always:

clean: genericclean
	(cd quotrem; $(MAKE) clean)

#
# Now include the standard rules for testing:
#
include ../Makefile.template


## How it works:
## entry point is always the target .TEST
## Then for every file we have to produce the file .FILE.test-passed
