=== examples/dc/Makefile ===
# $Id: Makefile,v 1.3 2008/01/25 13:30:25 logik Exp $
# Makefile for quant

# The targets to be tested. Use .FILE.test-passed as target, if
# FILE.tac has to be tested. Use DIR/.TEST as target if a subdir has
# to be tested

all: .TEST

.TEST: .dc-first.test-passed
	touch .TEST


# The relative path to the toplevel Minlog-Dir
TOP= ../../

# clean has to be implemented at each level. Always have genericclean as a
# dependency

clean: genericclean

#
# Now include the standard rules for testing:
#
include ../Makefile.template


## How it works:
## entry point is always the target .TEST
## Then for every file we have to produce the file .FILE.test-passed
