## minlog 4.0.99.20100221

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-## $Id: Makefile,v 1.26 2007/09/18 14:34:40 schimans Exp $
+## $Id: Makefile,v 1.34 2008/02/08 10:20:09 logik Exp $
 # There are several possibilities to install Minlog:
 
 # INSTALLATION IN CURRENT DIRECTORY
@@ -86,3 +86,6 @@
 	(cd src; $(MAKE) clean)
 	(cd doc; $(MAKE) clean)
 	(cd examples; $(MAKE) clean)
+
+# git demo
+# git demo 3
