=== doc/Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-## $Id: Makefile,v 1.31 2006/07/27 10:05:13 thiel Exp $
+## $Id: Makefile,v 1.32 2008/01/25 13:30:19 logik Exp $
 
 ## Makefile for subdirectory doc
