=== examples/Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# $Id: Makefile,v 1.21 2008/01/25 13:30:16 logik Exp $
+# $Id: Makefile 2156 2008-01-25 13:25:12Z schimans $
 # Makefile for the examples
 
 # The targets to be tested. Use .FILE.test-passed as target, if
