=== src/Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-## $Id: Makefile,v 1.25 2008/01/25 13:30:09 logik Exp $
+## $Id: Makefile 2156 2008-01-25 13:25:12Z schimans $
 ## Makefile for subdirectory src
 
 all: TAGS .dep.notags
@@ -24,8 +24,13 @@
 		(petite grammar.scm > grammar.log); \
 	else \
 		if which mzscheme > /dev/null; then \
-			echo "Using mzscheme to build parser..."; \
-			(mzscheme -f grammar.scm > grammar.log); \
+			if mzscheme --version =~ "v4"; then \
+				echo "Using mzscheme (> v4) to build parser..."; \
+				(mzscheme -l mzscheme -l r5rs/init -f grammar.scm > grammar.log); \
+			else \
+				echo "Using mzscheme (< v4) to build parser..."; \
+				(mzscheme -f grammar.scm > grammar.log); \
+			fi; \
 		else \
 			echo "Please install either Petite Scheme or MzScheme to build the parser!"; \
 			false; \
