=== examples/quant/Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# $Id: Makefile,v 1.8 2008/01/25 13:30:24 logik Exp $
+# $Id: Makefile 2156 2008-01-25 13:25:12Z schimans $
 # Makefile for quant
 
 # The targets to be tested. Use .FILE.test-passed as target, if
