=== debian/changelog ===
minlog (4.0.99.20100221-5.2) unstable; urgency=low

  * Non-maintainer upload.
  * Fix "contains /usr/share/doc-base/doc-base":
    s/doc-base/minlog/ debian/minlog.doc-base
    (closes: #581738).

 -- gregor herrmann <gregoa@debian.org>  Sat, 17 Jul 2010 17:56:47 +0200

minlog (4.0.99.20100221-5.1) unstable; urgency=low

  [ Jari Aalto ]
  * Non-maintainer upload.
    - Move to packaging format "3.0 (quilt)" due to patch.
  * debian/compat
    - Update to 7.
  * debian/control
    - Remove EOL whitespaces.
    - (Build-Depends): Change obsolete mzscheme to plt-scheme.
      Patch tanks to Hideki Yamane (Debian-JP) <henrich@debian.or.jp>
      (FTBFS; Closes: #577343). Add emacs23. Remove emacs21.
      Update to debhelper 7.1.
    - (Depends): Add ${misc:Depends}.
    - (Homepage): New field.
    - (Standards-Version): Update to 3.8.4.
  * debian/copyright
    - Update old FSF addresses to point to URL.
    - Point to GPL-2. Remove EOL whitespaces.
  * debian/doc-base
    - New file.
  * debian/rules
    - Remove EOL whitespaces.
    - (install): Update dh_clean to dh_prep.
  * debian/source/format
    - New file.
  * debian/watch
    - New file.

 -- Jari Aalto <jari.aalto@cante.net>  Tue, 11 May 2010 13:36:50 +0300

minlog (4.0.99.20100221-5) unstable; urgency=low (high for users of mzsccheme)

  * Closes: #570235 due to incompatibility between mzscheme and r5rs
  * upate to svn head

 -- Freiric Barral <barral@math.lmu.de>  Sat, 20 Feb 2010 17:55:50 +0100

minlog (4.0.99.20080304-4.1) unstable; urgency=low

  * Non-maintainer upload.
  * add ${misc:Depends}
  * Change Build dependency fronm tetex to texlive (Closes: #562301)

 -- Christoph Egger <christoph@debian.org>  Sat, 13 Feb 2010 00:17:04 +0100

minlog (4.0.99.20080304-4) unstable; urgency=low

  * CVS snapshot

 -- Freiric Barral <barral@math.lmu.de>  Tue, 04 Mar 2008 11:21:04 +0100

minlog (4.0.99-4) unstable; urgency=low

  * Added missing copyright notices.
  * Initial upload closes: #406186

 -- Freiric Barral <barral@math.lmu.de>  Fri,  12 Oct 2007 13:55:13 +0100

minlog (4.0.99-3) unstable; urgency=low

  * XEmacs does not work with Minlog. So recommend either emacs21 or
    emacs22 (though the latter is not available yet).

 -- Freiric Barral <barral@math.lmu.de>  Wed,  3 Nov 2006 19:28:10 +0100

minlog (4.0.99-2) unstable; urgency=low

  * Use debhelper v4 and therefore put everything into debian/minlog

 -- Freiric Barral <barral@math.lmu.de>  Wed,  2 Nov 2006 19:27:10 +0100

minlog (4.0.99-1) unstable; urgency=low

  * Initial release

 -- Freiric Barral <barral@math.lmu.de>  Wed,  1 Nov 2006 19:26:10 +0100
