=== debian/control ===
Source: minlog
Section: math
Priority: optional
Maintainer: Freiric Barral <barral@math.lmu.de>
Build-Depends: debhelper (>= 7.1), plt-scheme, texlive (>= 2007-11)
Standards-Version: 3.8.4
Homepage: http://www.minlog-system.de

Package: minlog
Architecture: all
Depends: ${misc:Depends}, plt-scheme | guile
Recommends: emacs23 | emacs22 | emacsen
Suggests: proofgeneral-minlog, quack-el
Description: Proof assistant based on first order natural deduction calculus
 intended to reason about computable functionals, using minimal
 rather than classical or intuitionistic logic. The main motivation
 behind MINLOG is to exploit the proofs-as-programs paradigm for
 program development and program verification. Proofs are in fact
 treated as first class objects which can be normalized. If a formula
 is existential then its proof can be used for reading off an instance
 of it, or changed appropriately for program development by proof
 transformation. To this end MINLOG is equipped with tools to extract
 functional programs directly from proof terms. This also applies to
 non-constructive proofs, using a refined A-translation. The system
 is supported by automatic proof search and normalization by
 evaluation as an efficient term rewriting device.
 .
 Minlog can be used with ProofGeneral, which allows proofs to be
 edited using emacs and xemacs. This requires the proofgeneral-minlog
 package to be installed.
