=== debian/watch ===
version=3
http://www.minlog-system.de .*minlog-([\d.]+).tar.gz
